/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.security.internal.analyzer.osv.model;

/**
 * See the <a href="https://ossf.github.io/osv-schema/">Open Source Vulnerability format API documentation</a>.
 *
 * @version $Id: 4b888b4b1f67db5c79a882af3323b88eb772b8e3 $
 * @since 15.5RC1
 */
public class QueryObject
{
    private PackageObject packag;

    private String version;

    /**
     * @return the package field
     */
    public PackageObject getPackage()
    {
        return this.packag;
    }

    /**
     * @param packag the package field
     * @return the current object
     */
    public QueryObject setPackage(PackageObject packag)
    {
        this.packag = packag;
        return this;
    }

    /**
     * @return the version field
     */
    public String getVersion()
    {
        return this.version;
    }

    /**
     * @param version the version field
     * @return the current object
     */
    public QueryObject setVersion(String version)
    {
        this.version = version;
        return this;
    }
}
